#ifndef _STRINGS_H_
#define _STRINGS_H_

#include <string.h>
#include "video.h"

int count_lines(char *s, int width);
void print_centered_string(char *s, int width);

int count_lines(char *s, int width)
{
  int ptr = 0, i, lines = 1;
  char *p = new char[strlen(s) + 1];
  strcpy(p, s);

  while (strlen(p) > width)
  {
    for (i = 0; i < width; i++)
      if (p[i] == ' ') ptr = i;

    p[ptr] = 0;
    p += ptr + 1;
    lines++;
  }

  delete p;
  return lines;
}

void print_centered_string(int y, int width, char *s, char attr)
{
  int ptr = 0, i;

  while (strlen(s) > width)
  {
    for (i = 0; i < width; i++)
      if (s[i] == ' ') ptr = i;

    s[ptr] = 0;
    out_string(40 - strlen(s) / 2, y, s, attr);

    s += ptr + 1;
    y++;
  }

  out_string(40 - strlen(s) / 2, y, s, attr);
}


#endif
